-- Advproto.lua
-- Send "TA2" on login and detection of a TA2 server

-- Cleanup callbacks
function cleanupAdvprotoHandlers()
	unregister_event("advprotoReceiveHandler");
	unregister_event("advprotoDisconnectHandler");
	unregister_timer("advprotoTimeoutHandler");
end


-- onReceive handler
function advprotoReceiveHandler(line)
	if(line == "enter user name:\r\n") then
		sendln("TA2");
		cleanupAdvprotoHandlers();
	end

	return line;
end


-- Timeout handler
function advprotoTimeoutHandler()
	cleanupAdvprotoHandlers();
end


-- Disconnect handler
function advprotoDisconnectHandler()
	cleanupAdvprotoHandlers();
end


-- onConnected handler
function advprotoConnectHandler()

	-- Hook onReceive, onDisconnect, and set a timeout timer
	register_event("onReceive", "advprotoReceiveHandler");
	register_event("onDisconnect", "advprotoDisconnectHandler");
	register_timer(10000, "advprotoTimeoutHandler");
end


register_event("onConnected", "advprotoConnectHandler");
