-- Commands.lua
-- Default commands

-- Debug Mode
g_debug = false;

-- Send client version
function cmdVersion(params)
	sendln(".me is running <-32><-1>" .. getVersion());
end

-- Send client OS
function cmdOS(params)
	sendln(".me is running <-32><-1>" .. getOS());
end

-- Changes the current password, and when Auto Login is enabled, it automatically
-- updates the password store in the config file
function cmdChangePassword(params)
	if (getConfigValue("EnableAutoLogin") == "true") then
		setConfigValue("Password", params);
	end
	
	sendln(".password " .. params);
end

-- Sends the current time
function cmdCurrTime(params)
	sendln("Current time - <-1><-36>.:<-32>" .. getTime(getConfigValue("CurrtimeFormat")) .. "<-36>:.");
end

-- Sends the current song
function cmdCurrSong(params)
	-- Get vars and convert times into mins and sec
	local artist, track, pos, len = getCurrSong("artist", "title", "position", "length");
	local posMins = math.floor(pos/60);
	local posSecs = pos - posMins*60;
	local lenMins = math.floor(len/60);
	local lenSecs = len - lenMins*60;
	local posString = string.format("[%d:%02d]", posMins, posSecs);
	local lenString = string.format("[%d:%02d]", lenMins, lenSecs);

	sendln("I am listening to <-1><-36>.:<-32>" .. artist .. " - " .. track .. " <-35>" ..
		posString .. " / " .. lenString .. "<-36>:.");
end
-- Turns displaying off unhandled PML tags ON/OFF
function cmdSetDebug(args)
	g_debug = (args == "1")
	
	if (g_debug) then
		println("PML tags will be displayed. [Debug mode ON]");
	else
		println("PML tags will not be displayed. [Debug mode OFF]");
	end
end

register_command("version", "cmdVersion");
register_command("os", "cmdOS");
register_command("password", "cmdChangePassword");
register_command("currtime", "cmdCurrTime");
register_command("currsong", "cmdCurrSong");
register_command("debug", "cmdSetDebug");
